Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-18906

Use safe YAML loading in verify

    Details

    • Type: Bug
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: verify
    • Labels:
      None

      Description

      verify produces some warning messages about use of the unsafe and now-deprecated yaml.load. Please update the code as described on Community.

        Attachments

          Activity

          Hide
          krzys Krzysztof Findeisen added a comment -

          Hi Tim Jenness, would you be willing to review this small fix? Thanks!

          Show
          krzys Krzysztof Findeisen added a comment - Hi Tim Jenness , would you be willing to review this small fix? Thanks!
          Hide
          tjenness Tim Jenness added a comment -

          Looks fine. Off topic for the actual change, I wonder if we really need a special loader for OrderedDict now.

          Show
          tjenness Tim Jenness added a comment - Looks fine. Off topic for the actual change, I wonder if we really need a special loader for OrderedDict now.
          Hide
          krzys Krzysztof Findeisen added a comment -

          Thanks for the quick response!

          Show
          krzys Krzysztof Findeisen added a comment - Thanks for the quick response!

            People

            • Assignee:
              krzys Krzysztof Findeisen
              Reporter:
              krzys Krzysztof Findeisen
              Reviewers:
              Tim Jenness
              Watchers:
              Krzysztof Findeisen, Tim Jenness
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Summary Panel